summaryrefslogtreecommitdiff
path: root/tests/misc/truncate-fifo
diff options
context:
space:
mode:
Diffstat (limited to 'tests/misc/truncate-fifo')
-rwxr-xr-xtests/misc/truncate-fifo8
1 files changed, 4 insertions, 4 deletions
diff --git a/tests/misc/truncate-fifo b/tests/misc/truncate-fifo
index 8e2276dab..a4c36cb90 100755
--- a/tests/misc/truncate-fifo
+++ b/tests/misc/truncate-fifo
@@ -1,5 +1,5 @@
#!/bin/sh
-# Make sure truncate works on fifos without hanging or errors
+# Make sure truncate works on fifos without hanging
# Copyright (C) 2008-2010 Free Software Foundation, Inc.
@@ -23,9 +23,9 @@ fi
. $srcdir/test-lib.sh
-mkfifo_or_skip_ "fifo"
+mkfifo_or_skip_ fifo
-
-truncate -s0 "fifo" || fail=1
+timeout 10 truncate -s0 fifo
+test "$?" = 124 && fail=1
Exit $fail